/**
 * CS1322: Programming Assignment #5 - Spring 2003 - Phase 3
 *
 *  <PRE>
 *  Class LetterModel.java-A class which represents an individual Scrabble
 *  letter piece.
 *
 *  Revisions: 1.0 Apr. 04, 2003
 *               Created the LetterModel class
 *
 *  </PRE>
 *
 *  Collaboration statement:
 *  "I worked on the homework assignment alone, using only course materials."
 *
 *  @author <A HREF="mailto:gtg445h@mail.gatech.edu">Chris Wells</A>
 *  @version Version 1.0, Apr. 04, 2003
 */

public class LetterModel {

  /**
   * A constant to trigger debug statements
   */

  public static final boolean bDEBUG = false;

  /**
   * The <code>letter</code> represented by this piece.
   *
   */
  private char letter;

  /**
   * The <code>value</code> of this <code>letter</code>.
   *
   */
  private int value;

  /**
   * Creates a new <code>LetterModel</code> instance.
   *
   * @param letter the <code>letter</code> of this piece
   * @param value the <code>value</code> of this letter
   */
  public LetterModel(char letter, int value) {
    this.letter = letter;
    this.value = value;
  }

  /**
   * Get the letter.
   * @return the letter.
   */
  public char getLetter() {
    return letter;
  }
    
  /**
   * Get the value of this letter.
   * @return value of this letter.
   */
  public int getValue() {
    return value;
  }

  /**
   * Returns a string representation of this <code>letter</code>.
   *
   * @return a string representation of this <code>letter</code>
   */
  public String toString() {
    String ret = String.valueOf(letter);
    return ret;
  }
}// end of class LetterModel
