import java.util.Vector;

/**
 * CS1322: Programming Assignment #5 - Spring 2003 - Phase 3
 *
 *  <PRE>
 *  Class PlayerModel.java-A class which represents a player in Scrabble.
 *
 *  Revisions: 1.0 Apr. 04, 2003
 *               Created the PlayerModel class
 *
 *  </PRE>
 *
 *  Collaboration statement:
 *  "I worked on the homework assignment alone, using only course materials."
 *
 *  @author <A HREF="mailto:gtg445h@mail.gatech.edu">Chris Wells</A>
 *  @version Version 1.0, Apr. 04, 2003
 */

public class PlayerModel implements ScrabbleConstants{

  /**
   * A constant to trigger debug statements
   */

  public static final boolean bDEBUG = false;

 /**
   * Represents the tray of the player and conains his letters.
   */
  private Vector letters;

  /**
   * The players current score.
   */
  private int score;

  /**
   * Creates a new <code>PlayerModel</code> instance.
   *
   */
  public PlayerModel() {
    this.score = 0; // of course beginning score is 0
    this.letters = new Vector(TRAY_SIZE);
  }

  /**
   * <code>incrementScore</code> of the curent player by the given value.
   *
   * @param amount the amount to add to the score
   */
  public void incrementScore(int amount) {
    score = score + amount;
  }

  /**
   * It <code>addLetter</code> to the tray of the player.
   *
   * @param letter the letter to add
   */
  public void addLetter(LetterModel letter) {
    letters.add((Object)letter);
  }

  /**
   * It <code>removeLetter</code> to the tray of the player.
   *
   * @param letter the letter to remove
   */
  public void removeLetter(LetterModel letter) {
    letters.remove((Object)letter);
  }

  /**
   * Returns the player's tray.
   *
   * @return the player's tray
   */
  public Vector getLetters() {
    return letters;
  }

  /**
   * Returns the player's score.
   *
   * @return the player's score
   */
  public int getScore() {
    return score;
  }

}// end of class PlayerModel
