import java.awt.Color;

/**
 *  <PRE>
 *  ScrabbleConstants.java
 *
 *  Revisions: 1.0 Jan. 17, 2003
 *               Created the ScrabbleConstants class
 *             1.1 Apr. 20, 2003
 *               Commented out uneccessary variables
 *
 *  </PRE>
 *
 *  @author <A HREF="mailto:kevin8gd@cc.gatech.edu">Kevin Morris</A> edited by
 *  <A HREF="mailto:gtg445h@mail.gatech.edu">Chris Wells</A>
 *  @version Version 1.0, Jan. 17, 2003
 */

public interface ScrabbleConstants {

  public final int X_LENGTH = 15;
  public final int Y_LENGTH = 15;

  // changed these to my defaults
  public final int SCRABBLE_WIDTH = 640;
  public final int SCRABBLE_HEIGHT = 480;

  public final int START = 0;
  public final int REGULAR = 1;
  public final int DOUBLE_LETTER = 2;
  public final int TRIPLE_LETTER = 3;
  public final int DOUBLE_WORD = 4;
  public final int TRIPLE_WORD = 5;

  public final int TRAY_SIZE = 7;

  //used for background colors
  public final Color TAN = new Color(166, 126, 78);
  public final Color LIGHT_TAN = new Color(151, 139, 81);

  /*
    im not using these cause im using pictures
    public final Color START_COLOR = new Color(128,255,128);
    public final Color REGULAR_COLOR = new Color(235, 220, 180);
    public final Color DOUBLE_LETTER_COLOR = new Color(0,225,225);
    public final Color TRIPLE_LETTER_COLOR = new Color(0,0,255);
    public final Color DOUBLE_WORD_COLOR = new Color(255,154,255);
    public final Color TRIPLE_WORD_COLOR = new Color(255,0,64);
  */

  public final String INPUT_FILE = "ScrabbleDataFile.txt";

}// end of class ScrabbleConstants
