/**
 * CS1322: Programming Assignment #5 - Spring 2003 - Phase 3
 *
 *  <PRE>
 *  Class SquareModel.java- A class which represents an individual square
 *  of the Scrabble board.
 *
 *  Revisions: 1.0 Apr. 04, 2003
 *               Created the SquareModel class
 *
 *  </PRE>
 *
 *  Collaboration statement:
 *  "I worked on the homework assignment alone, using only course materials."
 *
 *  @author <A HREF="mailto:gtg445h@mail.gatech.edu">Chris Wells</A>
 *  @version Version 1.0, Apr. 04, 2003
 */

public class SquareModel {

  /**
   * A constant to trigger debug statements
   */

  public static final boolean bDEBUG = false;

  /**
   * The type of the square.
   */
  private int squareType;

  /**
   * The letter contained at this square.
   */
  private LetterModel letter;

  /**
   * The y-coord of this square.
   */
  private int yCoord;

  /**
   * The x-coord of this square.
   */
  private int xCoord;

  /**
   * Creates a new <code>SquareModel</code> instance.
   *
   * @param yCoord the y-coord of this square
   * @param xCoord the x-coord of this square
   * @param squareType the type of this square
   */
  public SquareModel(int yCoord, int xCoord, int squareType) {
    this.yCoord = yCoord;
    this.xCoord = xCoord;
    this.squareType = squareType;
    this.letter = null;
  }
  
  /**
   * Get the <code>squareType</code> of this square.
   * @return the type of square.
   */
  public int getSquareType() {
    return squareType;
  }

  /**
   * Gets the y coordinate of this square.
   * @return the y coordinate of this square.
   */
  public int getYCoord() {
    return yCoord;
  }

  /**
   * Gets the x coordinate of this square.
   * @return the x coordinate of this square.
   */
  public int getXCoord() {
    return xCoord;
  }

  /**
   * Gets the letter at this square.
   * @return the letter at this square.
   */
  public LetterModel getLetter() {
    return letter;
  }
  
  /**
   * Puts a letter on this square.
   * @param letter letter to put on this square.
   */
  public void setLetter(LetterModel letter) {
    this.letter = letter;
  }
  
}// end of class SquareModel
